curl --request POST \
--url https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"uniqueName": "easy-direct",
"title": "Title",
"provider": {
"AUTHORIZE_NET": "authorize-net",
"NMI": "nmi"
},
"description": "Description",
"imageUrl": "https://example.com/image.jpg"
}
'{
"_id": "65cb47dda50f4f13ced4b870",
"altId": "Z4Bxl8J4SaPEPLq9IQ8g",
"altType": "location",
"title": "Example",
"route": "epd",
"provider": "nmi",
"description": "Lorem",
"imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
"createdAt": "2024-02-13T10:43:41.026Z",
"updatedAt": "2024-02-13T10:43:41.026Z"
}The “Create White-label Integration Provider” API allows adding a new payment provider integration to the system which is built on top of Authorize.net or NMI. Use this endpoint to create a integration provider with the specified details. Ensure that the required information is provided in the request payload. This endpoint can be only invoked using marketplace-app token
curl --request POST \
--url https://services.leadconnectorhq.com/payments/integrations/provider/whitelabel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"uniqueName": "easy-direct",
"title": "Title",
"provider": {
"AUTHORIZE_NET": "authorize-net",
"NMI": "nmi"
},
"description": "Description",
"imageUrl": "https://example.com/image.jpg"
}
'{
"_id": "65cb47dda50f4f13ced4b870",
"altId": "Z4Bxl8J4SaPEPLq9IQ8g",
"altType": "location",
"title": "Example",
"route": "epd",
"provider": "nmi",
"description": "Lorem",
"imageUrl": "https://example.com/assets/pmd/img/payments/nmi-logo.webp",
"createdAt": "2024-02-13T10:43:41.026Z",
"updatedAt": "2024-02-13T10:43:41.026Z"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 location Id / company Id based on altType
"6578278e879ad2646715ba9c"
Alt Type
location "location"
A unique name given to the integration provider, uniqueName must start and end with a character. Only lowercase characters and hyphens (-) are supported
"easy-direct"
The title or name of the integration provider.
"Title"
The type of payment provider associated with the integration provider.
authorize-net, nmi {
"AUTHORIZE_NET": "authorize-net",
"NMI": "nmi"
}A brief description providing additional information about the integration provider.
"Description"
The URL to an image representing the integration provider. The imageUrl should start with "https://" and ensure that this URL is publicly accessible.
"https://example.com/image.jpg"
Successful response
The unique identifier of the integration provider.
"65cb47dda50f4f13ced4b870"
The altId / locationId of the integration provider.
"Z4Bxl8J4SaPEPLq9IQ8g"
The altType of the integration provider.
"location"
The title or name of the integration provider.
"Example"
The route name associated with the integration provider.
"epd"
The payment provider associated with the integration provider.
"nmi"
A brief description providing additional information about the integration provider.
"Lorem"
The URL to an image representing the integration provider.
"https://example.com/assets/pmd/img/payments/nmi-logo.webp"
The timestamp when the integration provider was created.
"2024-02-13T10:43:41.026Z"
The timestamp when the integration provider was last updated.
"2024-02-13T10:43:41.026Z"
Was this page helpful?